Bug 77318 - multiple vulnerabilities in apache 1.3.26 and earlier
Summary: multiple vulnerabilities in apache 1.3.26 and earlier
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: apache (Show other bugs)
(Show other bugs)
Version: 2.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-05 03:05 UTC by Nalin Dahyabhai
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-11-05 16:41:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2002:251 normal SHIPPED_LIVE Important: apache security update 2002-10-07 04:00:00 UTC

Description Nalin Dahyabhai 2002-11-05 03:05:46 UTC
Versions of the ab (ApacheBench) support program bundled with versions of apache
prior to 1.3.27 contain pssibly-exploitable buffer overflows.  The shared memory
scoreboard used in versions of apache prior to 1.3.27 can be abused by the UID
the server is running as (typically "apache") to trick the top-most parent httpd
process into sending a SIGUSR1 signal to any running process.  Versions of
apache prior to 1.3.27 can also be used in cross-site scripting attacks if
wildcard DNS is enabled at the web server and the server is configured to not
canonicalize host names.

For more information, see CVE CAN 2002-0839, 2002-0840, and 2002-0843:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2002-0839
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2002-0840
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2002-0843

Comment 1 Nalin Dahyabhai 2002-11-05 16:42:40 UTC

*** This bug has been marked as a duplicate of 77338 ***

Comment 2 Mark J. Cox 2003-09-09 15:13:50 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2002-251.html



Note You need to log in before you can comment on or make changes to this bug.